summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xci/ci_run_all_plugin_tests.sh12
-rwxr-xr-xci/ci_run_all_sm_tests.sh6
-rwxr-xr-xci/ci_run_all_tests.sh8
-rw-r--r--tests/PySys/pysysproject.xml8
4 files changed, 30 insertions, 4 deletions
diff --git a/ci/ci_run_all_plugin_tests.sh b/ci/ci_run_all_plugin_tests.sh
index 9e29d7e1..3505e2c0 100755
--- a/ci/ci_run_all_plugin_tests.sh
+++ b/ci/ci_run_all_plugin_tests.sh
@@ -30,11 +30,19 @@ cd tests/PySys/
sudo tedge config set software.plugin.default apt
-pysys.py run -v DEBUG 'apt_*' -XmyPlatform='container'
+set +e
+pysys.py run --record -v DEBUG 'apt_*' -XmyPlatform='container'
+set -e
+
+mv __pysys_junit_xml pysys_junit_xml_apt
sudo cp ../../plugins/tedge_docker_plugin/tedge_docker_plugin.sh /etc/tedge/sm-plugins/docker
-pysys.py run -v DEBUG 'docker_*' -XmyPlatform='container' -Xdockerplugin='dockerplugin'
+set +e
+pysys.py run --record -v DEBUG 'docker_*' -XmyPlatform='container' -Xdockerplugin='dockerplugin'
+set -e
+
+mv __pysys_junit_xml pysys_junit_xml_docker
sudo rm -f /etc/tedge/sm-plugins/docker
diff --git a/ci/ci_run_all_sm_tests.sh b/ci/ci_run_all_sm_tests.sh
index 36b40b03..8b957712 100755
--- a/ci/ci_run_all_sm_tests.sh
+++ b/ci/ci_run_all_sm_tests.sh
@@ -40,10 +40,14 @@ cd tests/PySys/
# Run all software management tests, including the ones for the
# fake- and the docker plugin
-pysys.py run -v DEBUG 'SoftwareManagement.*' -XmyPlatform='smcontainer' -Xdockerplugin='dockerplugin' -Xfakeplugin='fakeplugin'
+set +e
+pysys.py run --record -v DEBUG 'SoftwareManagement.*' -XmyPlatform='smcontainer' -Xdockerplugin='dockerplugin' -Xfakeplugin='fakeplugin'
+set -e
deactivate
sudo tedge config unset software.plugin.default
sudo rm -f /etc/tedge/sm-plugins/docker
sudo rm -f /etc/tedge/sm-plugins/fruits
+
+mv __pysys_junit_xml pysys_junit_xml_sm
diff --git a/ci/ci_run_all_tests.sh b/ci/ci_run_all_tests.sh
index 9c57d12a..e1253498 100755
--- a/ci/ci_run_all_tests.sh
+++ b/ci/ci_run_all_tests.sh
@@ -40,5 +40,11 @@ python3 -m venv ~/env-pysys
source ~/env-pysys/bin/activate
pip3 install -r tests/requirements.txt
cd tests/PySys/
-pysys.py run -v DEBUG
+
+set +e
+pysys.py run --record -v DEBUG
+set -e
+
deactivate
+
+mv __pysys_junit_xml pysys_junit_xml_all
diff --git a/tests/PySys/pysysproject.xml b/tests/PySys/pysysproject.xml
index f690ac16..23744554 100644
--- a/tests/PySys/pysysproject.xml
+++ b/tests/PySys/pysysproject.xml
@@ -31,6 +31,14 @@
<property name="outputDir" value="__pysys_junit_xml"/>
</writer>
+ <writer classname="pysys.writer.outcomes.XMLResultsWriter">
+ <property name="file" value="__pysys_testsummary_${outDirName}_%Y-%m-%d_%H.%M.%S.xml"/>
+ </writer>
+
+ <writer classname="pysys.writer.outcomes.CSVResultsWriter">
+ <property name="file" value="__pysys_testsummary_%Y-%m-%d_%H.%M.%S.csv"/>
+ </writer>
+
<writer classname="pysys.writer.ci.GitHubActionsCIWriter"></writer>
<writer classname="pysys.writer.ci.TravisCIWriter"></writer>